program BM1Patch;

{ Contains patch information for versions of Biomenace 1 }

{$A+,B+,E-,F-,G-,I-,P+,Q-,R-,S-,T-,V-,X+}
{$M 2304,0,0}

{$DEFINE KEEN1_ARCH}

uses Loader,Parser,Patcher,Misc,Dos,Strings;

const
    { The search pattern to use when looking for the game executable }
    ExecutableFileSpec='BMENACE1.EXE';

    { The name of the CKPatch program for this episode }
    ProgramName='BM1PATCH';

    { The extension that the game uses }
    Ext='BM1';

type
    { Generic version information structure }
    PVersion=^TVersion;
    TVersion=record
        { The version ID string }
        ID:String[7];

        { The uncompressed length of the game executable image }
        ImageLength:Longint;

        { The LZEXE-compressed length of the game executable image }
        LZEXEImageLength:Longint;
    end;

const
    { Only version currently supported is 1.1 }
    Version:array[0..0] of TVersion=(
        (
            { Biomenace 1 version 1.1 }
            ID:'1.1';
            ImageLength:223600;
            LZEXEImageLength:90046
        ));

{$I CKXPATCH.INC}

begin
    Main;
end.
